My Project: dgHeapBase< OBJECT, KEY > Class Template Reference

My Project

Classes | Public Member Functions | Public Attributes | Protected Member Functions | List of all members
dgHeapBase< OBJECT, KEY > Class Template Reference

`#include <dgHeap.h>`

Inheritance diagram for dgHeapBase< OBJECT, KEY >:

## Classes

struct | RECORD

## Public Member Functions

void | Flush ()
KEY | MaxValue () const
KEY | Value (dgInt32 i=0) const
dgInt32 | GetCount () const
dgInt32 | GetMaxCount () const
const OBJECT & | operator[] (dgInt32 i) const
dgInt32 | Find (OBJECT &obj)
dgInt32 | Find (KEY key)

## Public Attributes

dgInt32 | m_curCount
dgInt32 | m_maxCount
dgMemoryAllocator * | m_allocator
RECORD * | m_pool

## Protected Member Functions

| dgHeapBase (dgInt32 maxElements, dgMemoryAllocator *const allocator)
| dgHeapBase (const void *const buffer, dgInt32 sizeInBytes)
| ~dgHeapBase ()

## Constructor & Destructor Documentation

## § dgHeapBase() [1/2]

template<class OBJECT , class KEY >

dgHeapBase< OBJECT, KEY >::dgHeapBase | ( | dgInt32 | maxElements,
|  | dgMemoryAllocator *const | allocator
| ) |  |

protected

## § dgHeapBase() [2/2]

template<class OBJECT , class KEY >

dgHeapBase< OBJECT, KEY >::dgHeapBase | ( | const void *const | buffer,
|  | dgInt32 | sizeInBytes
| ) |  |

protected

## § ~dgHeapBase()

template<class OBJECT , class KEY >

dgHeapBase< OBJECT, KEY >::~dgHeapBase | ( |  | ) |

protected

## Member Function Documentation

## § Find() [1/2]

template<class OBJECT, class KEY >

dgInt32 dgHeapBase< OBJECT, KEY >::Find | ( | OBJECT & | obj | ) |

## § Find() [2/2]

template<class OBJECT, class KEY>

dgInt32 dgHeapBase< OBJECT, KEY >::Find | ( | KEY | key | ) |

## § Flush()

template<class OBJECT , class KEY >

void dgHeapBase< OBJECT, KEY >::Flush | ( |  | ) |

## § GetCount()

template<class OBJECT , class KEY >

dgInt32 dgHeapBase< OBJECT, KEY >::GetCount | ( |  | ) | const

## § GetMaxCount()

template<class OBJECT , class KEY >

dgInt32 dgHeapBase< OBJECT, KEY >::GetMaxCount | ( |  | ) | const

## § MaxValue()

template<class OBJECT , class KEY >

KEY dgHeapBase< OBJECT, KEY >::MaxValue | ( |  | ) | const

## § operator[]()

template<class OBJECT , class KEY >

const OBJECT & dgHeapBase< OBJECT, KEY >::operator[] | ( | dgInt32 | i | ) | const

## § Value()

template<class OBJECT , class KEY >

KEY dgHeapBase< OBJECT, KEY >::Value | ( | dgInt32 | i = `0` | ) | const

## Member Data Documentation

## § m_allocator

template<class OBJECT, class KEY>

dgMemoryAllocator* dgHeapBase< OBJECT, KEY >::m_allocator

## § m_curCount

template<class OBJECT, class KEY>

dgInt32 dgHeapBase< OBJECT, KEY >::m_curCount

## § m_maxCount

template<class OBJECT, class KEY>

dgInt32 dgHeapBase< OBJECT, KEY >::m_maxCount

## § m_pool

template<class OBJECT, class KEY>

RECORD* dgHeapBase< OBJECT, KEY >::m_pool

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/core/dgHeap.h